ProfileService
The ProfileService methods and their request and response messages.
Generated from profile.proto. Every method is
POST /rpc/engram.app.v1.ProfileService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
ListProfiles |
ListProfilesRequest |
ListProfilesResponse |
GetProfile |
GetProfileRequest |
GetProfileResponse |
CreateProfile |
CreateProfileRequest |
CreateProfileResponse |
UpdateProfile |
UpdateProfileRequest |
UpdateProfileResponse |
DiscoverProfileRepos |
DiscoverProfileReposRequest |
DiscoverProfileReposResponse |
DeleteProfile |
DeleteProfileRequest |
DeleteProfileResponse |
Messages
Section titled “Messages”CreateProfileRequest
Section titled “CreateProfileRequest”| Field | Type |
|---|---|
name |
string |
description |
string |
icon |
string |
image_id |
string |
include_user_tokens |
bool |
env_vars |
map<string, string> |
skills |
repeated string |
network |
ProfileNetwork |
secrets |
repeated ProfileSecret |
harness |
string (optional) |
model |
string (optional) |
effort |
string (optional) |
designation |
string (optional) |
integration_grants |
repeated ProfileIntegrationGrant |
repos |
repeated ProfileRepo |
model_router |
string (optional) |
apps |
repeated SessionApp |
CreateProfileResponse
Section titled “CreateProfileResponse”| Field | Type |
|---|---|
profile |
Profile |
DeleteProfileRequest
Section titled “DeleteProfileRequest”| Field | Type |
|---|---|
id |
string |
DeleteProfileResponse
Section titled “DeleteProfileResponse”No fields.
DiscoveredRemote
Section titled “DiscoveredRemote”| Field | Type |
|---|---|
name |
string |
url |
string |
parsed |
ProfileRepoRemote (optional) |
DiscoveredRepo
Section titled “DiscoveredRepo”| Field | Type |
|---|---|
path |
string |
remotes |
repeated DiscoveredRemote |
DiscoverProfileReposRequest
Section titled “DiscoverProfileReposRequest”| Field | Type |
|---|---|
profile_id |
string |
DiscoverProfileReposResponse
Section titled “DiscoverProfileReposResponse”| Field | Type |
|---|---|
repos |
repeated DiscoveredRepo |
GetProfileRequest
Section titled “GetProfileRequest”| Field | Type |
|---|---|
id |
string |
GetProfileResponse
Section titled “GetProfileResponse”| Field | Type |
|---|---|
profile |
Profile |
ListProfilesRequest
Section titled “ListProfilesRequest”| Field | Type |
|---|---|
include_archived |
bool |
ListProfilesResponse
Section titled “ListProfilesResponse”| Field | Type |
|---|---|
profiles |
repeated Profile |
Profile
Section titled “Profile”| Field | Type |
|---|---|
id |
string |
name |
string |
description |
string |
icon |
string |
image_id |
string |
include_user_tokens |
bool |
env_vars |
map<string, string> |
archived |
bool |
created_at |
string |
updated_at |
string |
skills |
repeated string |
network |
ProfileNetwork |
secrets |
repeated ProfileSecret |
harness |
string (optional) |
model |
string (optional) |
effort |
string (optional) |
designation |
string (optional) |
integration_grants |
repeated ProfileIntegrationGrant |
repos |
repeated ProfileRepo |
model_router |
string (optional) |
apps |
repeated SessionApp |
ProfileIntegrationGrant
Section titled “ProfileIntegrationGrant”| Field | Type |
|---|---|
connection_id |
string |
operation |
string |
resource_constraints |
repeated string |
credential_scope |
string |
ProfileNetwork
Section titled “ProfileNetwork”| Field | Type |
|---|---|
default |
string |
allow_hosts |
repeated string |
allow_host_patterns |
repeated string |
ProfileRepo
Section titled “ProfileRepo”| Field | Type |
|---|---|
path |
string |
remote_url |
string |
remote |
ProfileRepoRemote (optional) |
ProfileRepoRemote
Section titled “ProfileRepoRemote”| Field | Type |
|---|---|
host |
string |
owner |
string |
name |
string |
ProfileSecret
Section titled “ProfileSecret”| Field | Type |
|---|---|
ref |
string |
env_var |
string |
mode |
string |
allow_hosts |
repeated string |
allow_host_patterns |
repeated string |
SessionApp
Section titled “SessionApp”| Field | Type |
|---|---|
name |
string |
port |
uint32 |
UpdateProfileRequest
Section titled “UpdateProfileRequest”| Field | Type |
|---|---|
id |
string |
name |
string |
description |
string |
icon |
string |
image_id |
string |
include_user_tokens |
bool |
env_vars |
map<string, string> |
skills |
repeated string |
network |
ProfileNetwork |
secrets |
repeated ProfileSecret |
harness |
string (optional) |
model |
string (optional) |
effort |
string (optional) |
designation |
string (optional) |
integration_grants |
repeated ProfileIntegrationGrant |
repos |
repeated ProfileRepo |
model_router |
string (optional) |
apps |
repeated SessionApp |
UpdateProfileResponse
Section titled “UpdateProfileResponse”| Field | Type |
|---|---|
profile |
Profile |